Package de.willuhn.jameica.hbci.io

# Class UmsatzTree

java.lang.Object
de.willuhn.jameica.hbci.io.UmsatzTree

All Implemented Interfaces:
  `Serializable`

public class UmsatzTree extends Object implements Serializable
Container fuer einen Umsatztree samt Meta-Daten.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTree()`

## Method Summary

Modifier and Type
Method
Description
`Date`
`getEnd()`
Liefert das End-Datum.
`Date`
`getStart()`
Liefert das Start-Datum.
`String`
`getTitle()`
Liefert den Titel.
`List`
`getUmsatzTree()`
Liefert den Tree der Umsaetze.
`void`
`setEnd(Date end)`
Speichert das End-Datum.
`void`
`setStart(Date start)`
Speichert das Start-Datum.
`void`
`setTitle(String title)`
Speichert den Titel.
`void`
`setUmsatzTree(List tree)`
Speichert den Tree der Umsaetze.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzTree

public UmsatzTree()

## Method Details

### getEnd

public Date getEnd()
Liefert das End-Datum.

Returns:
  das End-Datum.

### setEnd

public void setEnd(Date end)
Speichert das End-Datum.

Parameters:
  `end` - das End-Datum.

### getTitle

public String getTitle()
Liefert den Titel.

Returns:
  den Titel.

### setTitle

public void setTitle(String title)
Speichert den Titel.

Parameters:
  `title` - den Titel.

### getUmsatzTree

public List getUmsatzTree()
Liefert den Tree der Umsaetze.

Returns:
  tree der Umsatz-Tree.

### setUmsatzTree

public void setUmsatzTree(List tree)
Speichert den Tree der Umsaetze.

Parameters:
  `tree` - der Umsatz-Tree.

### getStart

public Date getStart()
Liefert das Start-Datum.

Returns:
  das Start-Datum.

### setStart

public void setStart(Date start)
Speichert das Start-Datum.

Parameters:
  `start` - das Start-Datum.